<Type Name="MsyncFlags" FullName="Mono.Unix.Native.MsyncFlags">
  <TypeSignature Language="C#" Value="public enum MsyncFlags" />
  <AssemblyInfo>
    <AssemblyName>Mono.Posix</AssemblyName>
    <AssemblyVersion>2.0.0.0</AssemblyVersion>
  </AssemblyInfo>
  <Base>
    <BaseTypeName>System.Enum</BaseTypeName>
  </Base>
  <Attributes>
    <Attribute>
      <AttributeName>System.CLSCompliant(false)</AttributeName>
    </Attribute>
    <Attribute>
      <AttributeName>System.Flags</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName="MS_ASYNC">
      <MemberSignature Language="C#" Value="MS_ASYNC" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.MsyncFlags</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Return immediately.</summary>
      </Docs>
    </Member>
    <Member MemberName="MS_SYNC">
      <MemberSignature Language="C#" Value="MS_SYNC" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.MsyncFlags</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Perform synchronous writes.</summary>
      </Docs>
    </Member>
    <Member MemberName="MS_INVALIDATE">
      <MemberSignature Language="C#" Value="MS_INVALIDATE" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Unix.Native.MsyncFlags</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>Invalidate all cached data.</summary>
      </Docs>
    </Member>
  </Members>
  <Docs>
    <summary>Possible <see cref="M:Mono.Unix.Native.Syscall.msync" /><paramref name="flags" /> values.</summary>
    <remarks>
    </remarks>
    <altmember cref="M:Mono.Unix.Native.Syscall.msync" />
  </Docs>
</Type>
